Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 225764 - Quick search in tree view changed its behaviour in 7.2
Quick search in tree view changed its behaviour in 7.2
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
7.2
PC Linux
: P3 (vote)
: 7.4
Assigned To: Jan Peska
issues@platform
:
Depends on: 208794
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 19:13 UTC by lorenthal
Modified: 2013-06-27 02:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lorenthal 2013-02-05 19:13:32 UTC
Up to netbeans 7.1, when you had a folder selected in tree views (i.e. in the projects tab) and you started to type, it first searched inside that folder and, if no element matched the search, it started searching in the whole tree.

That behaviour was very convenient (at last for me): I have a large PHP project, with several folders, and when I want to select a file, I first search the first characters of the top-most folder, I select that folder, and then I search for a file *inside* that folder.

That changed in netbeans 7.2 (and 7.2.1 and 7.3 too). Now when you start typing, if searches in the whole tree (outside my selected folder); that makes it very complicated to find the file you're searching, as there can be lots of files with start with the same characters, but located in different folders.

I don't know if there is a configuration option to revert it to the behaviour it had in 7.1 (and I've not been able to find anywhere an explanation of why the hell you have changed it!). I must use 7.2 due to the lack of Subversion 1.7 support in 7.1, but that is a very annoying change for me.
Comment 1 Jaroslav Tulach 2013-02-11 20:01:52 UTC
Yes, there was a change in the search strategy. What can Martin say about the change in behavior?
Comment 2 Jaroslav Tulach 2013-02-26 07:49:51 UTC
Passing to Martin to notice the previous question.
Comment 3 Jan Peska 2013-06-24 14:23:00 UTC
fix: http://hg.netbeans.org/core-main/rev/c1bf0d0d29d9
Comment 4 Quality Engineering 2013-06-27 02:19:57 UTC
Integrated into 'main-golden', will be available in build *201306262301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c1bf0d0d29d9
User: Jan Peska <JPESKA@netbeans.org>
Log: Issue #225764 - Quick search in tree view changed its behaviour in 7.2
Search in sub-nodes of the selected node first


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo